Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 706718 - media-sound/cdstatus-0.97.03 : fails to build with -fno-common or gcc-10
Summary: media-sound/cdstatus-0.97.03 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-27 17:40 UTC by Toralf Förster
Modified: 2020-08-08 16:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.85 KB, text/plain)
2020-01-27 17:40 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,35.25 KB, text/plain)
2020-01-27 17:40 UTC, Toralf Förster
Details
environment (environment,18.49 KB, text/plain)
2020-01-27 17:40 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.74 KB, application/x-bzip)
2020-01-27 17:40 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.39 KB, application/x-bzip)
2020-01-27 17:40 UTC, Toralf Förster
Details
media-sound:cdstatus-0.97.03:20200127-160336.log (media-sound:cdstatus-0.97.03:20200127-160336.log,27.24 KB, text/plain)
2020-01-27 17:40 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,8.90 KB, application/x-bzip)
2020-01-27 17:40 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-27 17:40:20 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -O2 -funroll-loops -finline-functions -O2 -pipe -march=native -fno-common -c open_output_file.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -O2 -funroll-loops -finline-functions -O2 -pipe -march=native -fno-common -c print_help.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -O2 -funroll-loops -finline-functions -O2 -pipe -march=native -fno-common -c read_toc.c
x86_64-pc-linux-gnu-gcc -O2 -funroll-loops -finline-functions -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o cdstatus basic_info.o build_output_filename.o cddb_calc_discid.o cddb_connect_to_server.o cddb_fetch_and_parse_results.o cddb_handle_multiple_matches.o cddb_handshake.o cddb_hearken.o cddb_perform_lookup.o cddb_send.o cdstatus.o cdstatus_cddb.o cdstatus_output.o close_output_file.o handle_args.o make_pretty_string.o open_output_file.o print_help.o read_toc.o  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: build_output_filename.o:(.bss+0x0): multiple definition of `output_buffer'; basic_info.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: build_output_filename.o:(.bss+0x200): multiple definition of `current_priority'; basic_info.o:(.bss+0x200): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_systemd-20200126-201521

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *




repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 15:06:28 +0000

emerge -qpvO media-sound/cdstatus
[ebuild  N    ] media-sound/cdstatus-0.97.03
Comment 1 Toralf Förster gentoo-dev 2020-01-27 17:40:23 UTC
Created attachment 605550 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-27 17:40:26 UTC
Created attachment 605552 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-27 17:40:29 UTC
Created attachment 605554 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-27 17:40:32 UTC
Created attachment 605556 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-27 17:40:35 UTC
Created attachment 605558 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-27 17:40:37 UTC
Created attachment 605560 [details]
media-sound:cdstatus-0.97.03:20200127-160336.log
Comment 7 Toralf Förster gentoo-dev 2020-01-27 17:40:40 UTC
Created attachment 605562 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-08-08 16:54:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce04ab9734ce79dc4d360450a91ed6c6a15b4ba1

commit ce04ab9734ce79dc4d360450a91ed6c6a15b4ba1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-08-08 16:53:27 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-08-08 16:53:27 +0000

    media-sound/cdstatus: Fix building under -fno-common
    
    Closes: https://bugs.gentoo.org/706718
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: David Seifert <soap@gentoo.org>

 media-sound/cdstatus/cdstatus-0.97.03.ebuild       |  8 ++-
 .../files/cdstatus-0.97.03-fno-common.patch        | 73 ++++++++++++++++++++++
 .../cdstatus-0.97.03-respect-user-CFLAGS.patch     | 11 ++++
 3 files changed, 90 insertions(+), 2 deletions(-)